-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

===========================================================================
             AUSCERT External Security Bulletin Redistribution

                               ESB-2023.5399
                Security update for gstreamer-plugins-good
                             21 September 2023

===========================================================================

        AusCERT Security Bulletin Summary
        ---------------------------------

Product:           gstreamer-plugins-good
Publisher:         SUSE
Operating System:  SUSE
Resolution:        Patch/Upgrade
CVE Names:         CVE-2023-37327 CVE-2022-2122 CVE-2022-1925
                   CVE-2022-1924 CVE-2022-1923 CVE-2022-1922
                   CVE-2022-1921 CVE-2022-1920 CVE-2021-3497

Original Bulletin: 
   https://www.suse.com/support/update/announcement/2023/suse-su-20233688-1

Comment: CVSS (Max):  7.8 CVE-2023-37327 (CVSS:3.1/AV:L/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H)
         CVSS Source: SUSE
         Calculator:  https://www.first.org/cvss/calculator/3.1#CVSS:3.1/AV:L/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H

- --------------------------BEGIN INCLUDED TEXT--------------------

Security update for gstreamer-plugins-good

Announcement ID:  SUSE-SU-2023:3688-1
     Rating:      important
                    o #1184739
                    o #1201688
                    o #1201693
                    o #1201702
   References:      o #1201704
                    o #1201706
                    o #1201707
                    o #1201708
                    o #1213128

                    o CVE-2021-3497
                    o CVE-2022-1920
                    o CVE-2022-1921
                    o CVE-2022-1922
Cross-References:   o CVE-2022-1923
                    o CVE-2022-1924
                    o CVE-2022-1925
                    o CVE-2022-2122
                    o CVE-2023-37327

                    o CVE-2021-3497 ( SUSE ): 5.3 CVSS:3.1/AV:N/AC:L/PR:N/UI:N/
                      S:U/C:N/I:N/A:L
                    o CVE-2021-3497 ( NVD ): 7.8 CVSS:3.1/AV:L/AC:L/PR:N/UI:R/
                      S:U/C:H/I:H/A:H
                    o CVE-2022-1920 ( SUSE ): 6.6 CVSS:3.1/AV:L/AC:L/PR:N/UI:R/
                      S:U/C:L/I:L/A:H
                    o CVE-2022-1920 ( NVD ): 7.8 CVSS:3.1/AV:L/AC:L/PR:N/UI:R/
                      S:U/C:H/I:H/A:H
                    o CVE-2022-1921 ( SUSE ): 6.6 CVSS:3.1/AV:L/AC:L/PR:N/UI:R/
                      S:U/C:L/I:L/A:H
                    o CVE-2022-1921 ( NVD ): 7.8 CVSS:3.1/AV:L/AC:L/PR:N/UI:R/
                      S:U/C:H/I:H/A:H
                    o CVE-2022-1922 ( SUSE ): 6.1 CVSS:3.1/AV:L/AC:L/PR:N/UI:R/
                      S:U/C:N/I:L/A:H
                    o CVE-2022-1922 ( NVD ): 7.8 CVSS:3.1/AV:L/AC:L/PR:N/UI:R/
                      S:U/C:H/I:H/A:H
                    o CVE-2022-1923 ( SUSE ): 6.1 CVSS:3.1/AV:L/AC:L/PR:N/UI:R/
  CVSS scores:        S:U/C:N/I:L/A:H
                    o CVE-2022-1923 ( NVD ): 7.8 CVSS:3.1/AV:L/AC:L/PR:N/UI:R/
                      S:U/C:H/I:H/A:H
                    o CVE-2022-1924 ( SUSE ): 6.1 CVSS:3.1/AV:L/AC:L/PR:N/UI:R/
                      S:U/C:N/I:L/A:H
                    o CVE-2022-1924 ( NVD ): 7.8 CVSS:3.1/AV:L/AC:L/PR:N/UI:R/
                      S:U/C:H/I:H/A:H
                    o CVE-2022-1925 ( SUSE ): 6.1 CVSS:3.1/AV:L/AC:L/PR:N/UI:R/
                      S:U/C:N/I:L/A:H
                    o CVE-2022-1925 ( NVD ): 7.8 CVSS:3.1/AV:L/AC:L/PR:N/UI:R/
                      S:U/C:H/I:H/A:H
                    o CVE-2022-2122 ( SUSE ): 6.1 CVSS:3.1/AV:L/AC:L/PR:N/UI:R/
                      S:U/C:N/I:L/A:H
                    o CVE-2022-2122 ( NVD ): 7.8 CVSS:3.1/AV:L/AC:L/PR:N/UI:R/
                      S:U/C:H/I:H/A:H
                    o CVE-2023-37327 ( SUSE ): 7.8 CVSS:3.1/AV:L/AC:L/PR:N/UI:R
                      /S:U/C:H/I:H/A:H

    Affected        o SUSE Linux Enterprise Server 15 SP1
    Products:       o SUSE Linux Enterprise Server 15 SP1 LTSS 15-SP1
                    o SUSE Linux Enterprise Server for SAP Applications 15 SP1

An update that solves nine vulnerabilities can now be installed.

Description:

This update for gstreamer-plugins-good fixes the following issues:

  o CVE-2021-3497: Matroskademux: Fix extraction of multichannel WavPack (bsc#
    1184739).
  o CVE-2022-1920: Fixed integer overflow in WavPack header handling code (bsc#
    1201688).
  o CVE-2022-1921: Fixed integer overflow resulting in heap corruption in
    avidemux element (bsc#1201693).
  o CVE-2022-1922: Fixed integer overflows in mkv demuxing (bsc#1201702).
  o CVE-2022-1923: Fixed integer overflows in mkv demuxing using bzip (bsc#
    1201704).
  o CVE-2022-1924: Fixed integer overflows in mkv demuxing using lzo (bsc#
    1201706).
  o CVE-2022-1925: Fixed integer overflows in mkv demuxing using HEADERSTRIP
    (bsc#1201707).
  o CVE-2022-2122: Fixed integer overflows in qtdemux using zlib (bsc#1201708).
  o CVE-2023-37327: Fixed GStreamer FLAC File Parsing Integer Overflow (bsc#
    1213128).

Patch Instructions:

To install this SUSE update use the SUSE recommended installation methods like
YaST online_update or "zypper patch".
Alternatively you can run the command listed for your product:

  o SUSE Linux Enterprise Server 15 SP1 LTSS 15-SP1
    zypper in -t patch SUSE-SLE-Product-SLES-15-SP1-LTSS-2023-3688=1
  o SUSE Linux Enterprise Server for SAP Applications 15 SP1
    zypper in -t patch SUSE-SLE-Product-SLES_SAP-15-SP1-2023-3688=1

Package List:

  o SUSE Linux Enterprise Server 15 SP1 LTSS 15-SP1 (s390x)
       gstreamer-plugins-good-1.12.5-150000.3.7.2
       gstreamer-plugins-good-debuginfo-1.12.5-150000.3.7.2
       gstreamer-plugins-good-debugsource-1.12.5-150000.3.7.2
  o SUSE Linux Enterprise Server 15 SP1 LTSS 15-SP1 (noarch)
       gstreamer-plugins-good-lang-1.12.5-150000.3.7.2
  o SUSE Linux Enterprise Server for SAP Applications 15 SP1 (ppc64le)
       gstreamer-plugins-good-1.12.5-150000.3.7.2
       gstreamer-plugins-good-debuginfo-1.12.5-150000.3.7.2
       gstreamer-plugins-good-debugsource-1.12.5-150000.3.7.2
  o SUSE Linux Enterprise Server for SAP Applications 15 SP1 (noarch)
       gstreamer-plugins-good-lang-1.12.5-150000.3.7.2

References:

  o https://www.suse.com/security/cve/CVE-2021-3497.html
  o https://www.suse.com/security/cve/CVE-2022-1920.html
  o https://www.suse.com/security/cve/CVE-2022-1921.html
  o https://www.suse.com/security/cve/CVE-2022-1922.html
  o https://www.suse.com/security/cve/CVE-2022-1923.html
  o https://www.suse.com/security/cve/CVE-2022-1924.html
  o https://www.suse.com/security/cve/CVE-2022-1925.html
  o https://www.suse.com/security/cve/CVE-2022-2122.html
  o https://www.suse.com/security/cve/CVE-2023-37327.html
  o https://bugzilla.suse.com/show_bug.cgiid=1184739
  o https://bugzilla.suse.com/show_bug.cgiid=1201688
  o https://bugzilla.suse.com/show_bug.cgiid=1201693
  o https://bugzilla.suse.com/show_bug.cgiid=1201702
  o https://bugzilla.suse.com/show_bug.cgiid=1201704
  o https://bugzilla.suse.com/show_bug.cgiid=1201706
  o https://bugzilla.suse.com/show_bug.cgiid=1201707
  o https://bugzilla.suse.com/show_bug.cgiid=1201708
  o https://bugzilla.suse.com/show_bug.cgiid=1213128

- --------------------------END INCLUDED TEXT--------------------

You have received this e-mail bulletin as a result of your organisation's
registration with AusCERT. The mailing list you are subscribed to is
maintained within your organisation, so if you do not wish to continue
receiving these bulletins you should contact your local IT manager. If
you do not know who that is, please send an email to auscert@auscert.org.au
and we will forward your request to the appropriate person.

NOTE: Third Party Rights
This security bulletin is provided as a service to AusCERT's members.  As
AusCERT did not write the document quoted above, AusCERT has had no control
over its content. The decision to follow or act on information or advice
contained in this security bulletin is the responsibility of each user or
organisation, and should be considered in accordance with your organisation's
site policies and procedures. AusCERT takes no responsibility for consequences
which may arise from following or acting on information or advice contained in
this security bulletin.

NOTE: This is only the original release of the security bulletin.  It may
not be updated when updates to the original are made.  If downloading at
a later date, it is recommended that the bulletin is retrieved directly
from the author's website to ensure that the information is still current.

Contact information for the authors of the original document is included
in the Security Bulletin above.  If you have any questions or need further
information, please contact them directly.

Previous advisories and external security bulletins can be retrieved from:

        https://www.auscert.org.au/bulletins/

===========================================================================
Australian Computer Emergency Response Team
The University of Queensland
Brisbane
Qld 4072

Internet Email: auscert@auscert.org.au
Facsimile:      (07) 3365 7031
Telephone:      (07) 3365 4417 (International: +61 7 3365 4417)
                AusCERT personnel answer during Queensland business hours
                which are GMT+10:00 (AEST).
                On call after hours for member emergencies only.
===========================================================================
-----BEGIN PGP SIGNATURE-----
Comment: https://auscert.org.au/gpg-key/

iQIUAwUBZQub2MkNZI30y1K9AQjl5Q/3Tf88ucgd5pJZfiQDcPTnsjbdWId+/8Q5
U6p9cjI8OWeHPxycrmNU9Hbg8Xh1N+Jxz35h5mr3f/EXLM8NVynJJLRed/Jp3CuF
RS+IYolNTelawTpXcxE7c/Dvpq0an/fF5hqFxkB+PBJhkRANJ1LyhNEIMXi9VJag
eO/SNiquddErrGD8tR1TU41Z+gsmlA79sozGQ9AQOo7jLVdDE9uLOfUqGDdHuEyu
2zf0Mv3iWQ1/xVIrNeXZIz0M1AgG50ZR8AVfTk/7BkkqXAFv5TgFikmiW0DgvCSX
Zzze97vbCOW5iXmcIvtsofYIsfH96zf0wZlOGEeHjX9xNjl1cpN6demph1oZjwwT
JkExV/hDbMlR9vKEhPki2D4Kwg+2jwEk/TJgernE2RUXtj0fp/gp3UQNaLHIfPvr
GXchl6R3Zb718lAdsDHRV9hqxjtL3KrfwH5bYZhK0inpo/0n4M18w4JboFUo7gjy
jWqdKykEeqvO42UvXODgRgs4u9n+reHbQL9KuYP7XqgjonK+cR/LT/Nsu2pkPxYB
blG+rLkZCCN5i2dAq0oifY4eCKCSNpqUxJ88ZcOx8hh27s9dbjRF/wegX8eltwU0
dlfx3TqlpG2j6RbyS596kTt35Dr7FPUvz8h0I69D8VX4xmEoqWvcKm3JMuc70YGi
3yNy1nUHsQ==
=WuLD
-----END PGP SIGNATURE-----